import re
import string

import config
import mail
import template

def html_escape(str):
	str = string.replace(str, '&', '&amp;')
	str = string.replace(str, '<', '&lt;')
	str = string.replace(str, '>', '&gt;')
	str = string.replace(str, '"', '&quot;')
	return str

rx_line_start = re.compile('^', re.MULTILINE)
def line_prefix(content, prefix):
	return rx_line_start.sub(prefix, content)

rx_url = re.compile(r'([^\s\"]+://[^\s\"]+)')
def markup_urls(str): return rx_url.sub(r'<a href="\1">\1</a>', str)

rx_addr1 = re.compile(r'<[^>@]+@[^>]+>')
rx_addr2 = re.compile(r'\S+@\S+\.\S+')
def mask_email(str):
	return rx_addr2.sub('####@####.####', str)

def nl2br(str): return string.replace(str, '\n', '<br />')

exports = {
	'config': config,
	'mail': mail,
	'html': html_escape,
	'markup_urls': markup_urls,
	'mask_email': mask_email,
	'nl2br': nl2br,
	'prefix': line_prefix,
	}
